Public Class WebForm1
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        TextBox1.Text = Now.ToString("yyyyMMddHHmmss")
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button1.Click
        Dim web As New System.Net.WebClient() '验证帐号
        web.Headers.Add("Content-Type", "application/x-www-form-urlencoded") '用户ID（userid）登陆后台：http://cloud.yunsms.cn 通过“发短信”-“接入摘要”查询。
        Dim d As Byte() = System.Text.Encoding.UTF8.GetBytes("userid=企业ID&account=用户名&password=密码") '用户ID（userid）登陆后台：http://cloud.yunsms.cn 通过“发短信”-“接入摘要”查询。
        Dim res As Byte() = web.UploadData("http://116.62.155.121:8888/sms.aspx?action=overage", "POST", d)
        TextBox4.Text = System.Text.Encoding.Default.GetString(res)
    End Sub

    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button2.Click
        Dim web As New System.Net.WebClient() '余额查询
        web.Headers.Add("Content-Type", "application/x-www-form-urlencoded")
        Dim d As Byte() = System.Text.Encoding.UTF8.GetBytes("userid=企业ID&account=用户名&password=密码")
        Dim res As Byte() = web.UploadData("http://116.62.155.121:8888/sms.aspx?action=overage", "POST", d)
        TextBox4.Text = System.Text.Encoding.Default.GetString(res)
    End Sub

    Protected Sub Button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button3.Click
        Dim web As New System.Net.WebClient() '发送短信
        web.Headers.Add("Content-Type", "application/x-www-form-urlencoded")
        Dim d As Byte() = System.Text.Encoding.UTF8.GetBytes("userid=企业ID&account=用户名&password=密码&content=" + TextBox3.Text + "&mobile=" + TextBox2.Text) '发送短信必须带前缀签名，无签名则失败，签名符号如：【云消息】今天下午开会！
        Dim res As Byte() = web.UploadData("http://116.62.155.121:8888/sms.aspx?action=send", "POST", d)
'rt=json时返回json,默认xml格式。编码不同，提交入口不同。sms.aspx为utf-8提交入口，smsGBK.aspx为GBK提交入口，详见接口文档说明
        TextBox4.Text = System.Text.Encoding.Default.GetString(res)
    End Sub
End Class

'接入注意事项：（常见问题）
'				1.内容乱码						------->>>>>> 编码不同，提交入口不同。sms.aspx为utf-8提交入口，smsGBK.aspx为GBK提交入口，如两个提交入口均乱码，重新转换一下文件编码。
'				2.提示短信必须带【】格式签名	------->>>>>> 提交入口不正确导致乱码，系统识别不到【】签名；或发送短信时未带前缀签名；或定时短信sendtime格式错误，sendtime可为空，不能传0，示例中已去除。
'				3.返回错误0						------->>>>>> 定时短信sendtime格式错误，sendtime可为空或具体时间，不能传0，示例中已去除。
'				4.程序异常，请重试或联系客服！从字符串转换日期和/或时间时，转换失败。------->>>>>> 定时短信sendtime格式错误，sendtime可为空或具体时间，不能传0，示例中已去除。
'				5.其他注意事项详见接口文档说明文件。